/*
 * lamp-status@thomasmorice.fr
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 */

// extension name
// used as identifier when adding to status area
const GLib = imports.gi.GLib;

const EXTENSION_NAME = 'Gentoo Web Dev Server';


// keys for access to gsettings
const GSETTINGS_KNOWN = 'known';
const GSETTINGS_HIDDEN = 'hidden';
const GSETTINGS_ISINDICATORSHOWN = 'is-indicator-shown';

// Services
const SERVICENAME_APACHE    = 'apache2';
const SERVICENAME_MYSQL     = 'mysqld';
const SERVICENAME_REDIS     = 'redis';
const SERVICENAME_SOLR5     = 'solr-5';
const SERVICENAME_SOLR4     = 'solr-4';
const PKEXEC_PATH           =  GLib.find_program_in_path('pkexec');

